Mostly we code...sometimes we write. Every once in a while, we podcast.

Full Diablo IV support is back on CrossOver Mac!


As many, many of you noticed, last week's Diablo IV game update impacted support for running the game through CrossOver Mac. Coming up with a fix ended up being a difficult problem to solve, but we're happy to report that Diablo IV is once again playable with all graphics backends with CrossOver 24.0.1. Please note that if you're using D3DMetal, you must also have MSync toggled on in Advanced Settings.

Since we needed to push out a new release anyways, we took the opportunity to also add support for Tomb Raider I-III Remastered on Mac. Our QA team reports that it's running really well on 24.0.1, and we hope you enjoy this little added bonus.

Customers with active support entitlements will be prompted soon to upgrade to CrossOver 24.0.1. Alternatively, you can download the latest version here.

If CrossOver asks for registration, use your codeweavers.com email address and password to register and unlock CrossOver. Email info@codeweavers.com if you need more help.

About Meredith Johnson
Meredith has been with CodeWeavers since 2019, and currently wears both the QA Manager and CrossOver Product Manager hats. After getting her PhD in linguistics, she somehow stumbled into the Free and Open Source Software world. When she isn't testing CrossOver, she's probably perfecting yet another bean stew, jogging slowly, buying even more linen tunics, doing a face mask or doting on her perfect chunky baby. 

The following comments are owned by whoever posted them. We are not responsible for them in any way.

Update is working great! Thanks for getting a fix in so quickly!

1

Any plans to support HITMAN World of Assasination?

Any news about better Anno 1800 support?
Ubisoft direct customers as well missing not working mod browser?
I cannot find here anything as well there is no reply in the forum about it

thanks

Hi, I have bought Diablo 4 and CrossOver but still cant seem to be able to play it on Mac. Any suggestions how can I make it run on MAC? When I log in in Battle net it just says it is not available on Mac.

Sissi Bakardzhieva wrote:

Hi, I have bought Diablo 4 and CrossOver but still cant seem to be able to play it on Mac. Any suggestions how can I make it run on MAC? When I log in in Battle net it just says it is not available on Mac.

Install Battle.net via CrossOver, don't use the Mac version, I suppose (I don't use Battle.net personally but that's how you should use CrossOver in general)

CodeWeavers or its third-party tools process personal data (e.g. browsing data or IP addresses) and use cookies or other identifiers, which are necessary for its functioning and required to achieve the purposes illustrated in our Privacy Policy. You accept the use of cookies or other identifiers by clicking the Acknowledge button.
Please Wait...
eyJjb3VudHJ5IjoiVVMiLCJsYW5nIjoiZW4iLCJjYXJ0IjowLCJ0enMiOi01LCJjZG4iOiJodHRwczpcL1wvbWVkaWEuY29kZXdlYXZlcnMuY29tXC9wdWJcL2Nyb3Nzb3Zlclwvd2Vic2l0ZSIsImNkbnRzIjoxNzA4NjEzODE4LCJjc3JmX3Rva2VuIjoiZWFybUV1ZkpNYmg4a2VHNCIsImdkcHIiOjB9